#
# spec file for package gap-yangbaxter
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-yangbaxter
Version:        0.10.6
Release:        1.2
Summary:        GAP: Combinatorial Solutions for the Yang-Baxter equation
License:        GPL-3.0-only
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/YangBaxter
#Git-Clone:     https://github.com/gap-packages/YangBaxter
Source:         https://github.com/gap-packages/YangBaxter/releases/download/v%version/YangBaxter-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.9
Requires:       gap-cryst >= 4.0

%description
The YangBaxter package provides functionality to construct classical
and skew braces. It also includes a database of classical and skew
braces of small orders.

%prep
%autosetup -n YangBaxter-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Thu Jul 18 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.10.6
  * Do not read static files which do not even exist
* Tue Jun 18 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.10.5
  * Remove data for n=5 since Gcd(n,Phi(n))=1
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.10.3
  * InstallValue on types leads to incorrect behavior
  * Corrected DehornoyClass
  * Tests ideals of ideals
  * Remove data for n=5 since Gcd(n,Phi(n))=1
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 0.10.2) for build.opensuse.org
